import { v4 as uuidv4 } from 'uuid';
export const buildActorConfig = (template) => {
    var _a;
    return ({
        id: uuidv4(),
        templateId: template.id,
        name: template.name,
        components: [],
        children: (_a = template.children) === null || _a === void 0 ? void 0 : _a.map((child) => buildActorConfig(child)),
    });
};
